import { Card, Spin } from "antd";
import { useState } from "react";
import MyCenteredContainer from "../../Components/MyContainer";
import { useTranslation } from "react-i18next";

export default function Dashboard() {
  const { t } = useTranslation();

  const [isLoading, setIsLoading] = useState(true);

  return (
    <Card title={t("dashboard.pageTitle")}>
      {isLoading && (
        <MyCenteredContainer fullHeight height={616}>
          <Spin size="large" />
        </MyCenteredContainer>
      )}

      <iframe
        src={process.env.REACT_APP_DASHBOARD_INTRODUCTION_VIDEO}
        onLoad={() => setIsLoading(false)}
        width={1096}
        height={616}
        style={{
          border: "none",
          zIndex: 2,
          display: isLoading ? "none" : "block",
        }}
      />
    </Card>
  );
}
